.filter {
    display: flex;
    align-items: center;

    &__item {
        position: relative;
        margin-left: rem(24);

        &.open {

            .filter {

                &__button {
                    color: $yellow-active;
                    stroke: $yellow-active;

                    i {
                        transform: rotate(180deg);
                    }
                }
            }
        }
    }

    &__button {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        color: #DEDEDE;
        stroke: $gold;
        cursor: pointer;
        white-space: nowrap;
        align-items: center;
        display: inline-flex;
        text-decoration: none;
        background: transparent;

        span {
            display: inline-block;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            display: inline-block;
            margin-left: rem(4);
            flex-shrink: 0;
        }

        &:hover {
            color: $yellow-active;
            stroke: $yellow-active;
        }
    }

    &__content {
        min-width: rem(280);
        padding: rem(16);
        background: $dark;
        border: 1px solid $gray-500;

        &--calendar {
            padding: 0;
            min-width: inherit;
        }

        &--right {
            right: 0;
            left: auto !important;
        }
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__elem {
        margin: 0;
        border: none;
        outline: none;
        color: #C0C1C9;
        cursor: pointer;
        padding: rem(8) 0;
        white-space: nowrap;
        text-decoration: none;
        display: inline-block;
        background: transparent;
        transition: .3s;

        &:hover {
            color: $white;
            text-decoration: none;
            transition: .3s;
        }

        &.active {
            color: $white;
        }
    }
}

.date-field {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    color: #DEDEDE;
    stroke: $gold;
    cursor: pointer;
    position: relative;
    white-space: nowrap;
    align-items: center;
    display: inline-flex;
    text-decoration: none;
    background: transparent;

    span {
        display: inline-block;
    }

    &:hover {
        color: $yellow-active;
        stroke: $yellow-active;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
        margin-left: rem(4);
        flex-shrink: 0;
    }

    &__input {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        padding: 0;
        border: none;
        outline: none;
        cursor: pointer;
        opacity: 0;
        position: absolute;
        background: transparent;
    }

    &--filter {
        width: 100%;
        font-size: rem(14);
        line-height: rem(20);
        padding: rem(12) 0;
        justify-content: space-between;
    }
}

.filter-mobile-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 450;
    position: fixed;
    background: rgba(32, 30, 27, 0.66);
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.filter-mobile {
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 500;
    position: fixed;
    max-height: 100%;
    background: $dark;

    opacity: 0;
    visibility: hidden;
    transform: translateY(100vh);
    transition: .3s;

    &__container {
        margin: 0 auto;
        max-width: rem(540);
        padding: 0 rem(15);
    }

    &__primary {
    }

    @include media-breakpoint-up(md) {

        &__container {
            max-width: rem(720);
        }
    }
    @include media-breakpoint-up(lg) {

        &__container {
            max-width: rem(970);
        }
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.filter-primary {
    padding: rem(24) 0;

    &__parent {
        width: 100%;
        border: none;
        stroke: $gold;
        color: $gray-300;
        padding: rem(12) 0;
        font-size: rem(14);
        line-height: rem(20);
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: space-between;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__button {
        padding: rem(12) 0;
        transform: translate(0, 0) !important;
    }
}

.filter-secondary {
    padding: rem(24) 0 rem(32) 0;
    overflow-y: auto;

    display: none;

    &.active {
        display: block;
    }

    &__header {
        padding: rem(12) 0 rem(20) 0;
        border-bottom: 1px solid #2A2720;
        display: flex;
        align-items: center;
    }

    &__back {
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(32);
        height: rem(32);
        margin-right: rem(16);
        display: inline-block;
        background: transparent;
    }

    &__title {
        font-weight: 500;
        color: $gray-300;
        font-size: rem(16);
        line-height: rem(24);
    }

    &__content {
        color: #C0C1C9;
        padding: rem(16) 0;
    }

    &__field {
        padding-top: rem(16);
    }

    &__scroll {
        height: rem(200);
    }

    &__button {
        padding-top: rem(16);
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: rem(14);
        line-height: rem(20);

        li {
            color: #C0C1C9;
            margin-bottom: rem(16);

            &:last-child {
                margin-bottom: 0;
            }

            &.active {
                color: $white;

                &.selected {
                    color: $white;
                }
            }
        }
    }

    &__calendar {
        display: flex;
        justify-content: center;

        .air-datepicker {
            margin-left: 0 !important;
        }
    }
}

[data-filter-primary] {

}

[data-filter-secondary] {
    display: none;

    &.active {
        display: block;
    }
}

.filter-open {
    overflow: hidden;

    .filter-mobile-layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .filter-mobile {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
        transition: .3s;
    }

    @include media-breakpoint-up(xl) {
        overflow: visible;
    }
}


